tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class OMEMOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException
      - - tigase.jaxmpp.core.client.xmpp.modules.omemo.OMEMOException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CannotEncryptException

      public class OMEMOException
      extends JaxmppException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMEMOException()`
    `OMEMOException(String message)`
    `OMEMOException(String message, Throwable cause)`
    `OMEMOException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OMEMOException

          public OMEMOException()

    - #### OMEMOException

          public OMEMOException(String message)

    - #### OMEMOException

          public OMEMOException(String message,
                                Throwable cause)

    - #### OMEMOException

          public OMEMOException(Throwable cause)

Copyright © 2006–2020 Tigase. All rights reserved.